Bug 20016 - feature request: log messages to /var/log/remote/$hostname according to the machine they come from
Summary: feature request: log messages to /var/log/remote/$hostname according to the m...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: sysklogd   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-30 09:21 UTC by David Woodhouse
Modified: 2007-12-06 23:23 UTC (History)
4 users (show)

Fixed In Version: F8
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 23:23:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
As I suspected - more of a local hack than something we can ship as-is. But I think the thing with the struct logfilerec list is how we need to go about it. (7.65 KB, text/plain)
2000-10-30 17:33 UTC, David Woodhouse
no flags Details

Description David Woodhouse 2000-10-30 09:21:25 UTC
For implementing a network syslog host, it is desirable to have messages
for each host on the network saved in a different file.

The syslogd shipped with RH7 doesn't provide this functionality, as far as
I can tell. I hacked it into the RH6.2 syslogd at one point, after finding
that syslog-ng hadn't yet implemented it.

Comment 1 Bill Nottingham 2000-10-30 17:20:47 UTC
Hm, not a bad idea.

Do you still have the patch around?

Comment 2 David Woodhouse 2000-10-30 17:27:15 UTC
Probably, but it IIRC it wasn't shippable. It'll be archived at my old place of
work. I'll check for it.

Comment 3 David Woodhouse 2000-10-30 17:33:26 UTC
Created attachment 4774 [details]
As I suspected - more of a local hack than something we can ship as-is. But I think the thing with the struct logfilerec list is how we need to go about it.

Comment 4 Daniel Roesen 2000-10-31 13:35:57 UTC
Good idea. I second that request.

Comment 5 Pekka Savola 2001-02-28 09:43:32 UTC
There is an ability to specify hostnames as message filter parameters in FreeBSD syslogd (also see #29990 for my
port of another, similar FreeBSD feature).

This provides no direct mapping to /var/log/remote/$hostname, but it should be rather easily implemented on top of that
as you know the hostname already when you're doing that.


Comment 6 Daniel Roesen 2005-06-04 22:23:18 UTC
So, where do we go from here?
- Close the bug WONTFIX
- follow Pekka's idea
- adopt syslog-ng?

Comment 7 Jason Tibbitts 2007-12-06 23:23:49 UTC
So we ship both rsyslog and syslog-ng in Fedora these days, with rsyslog the
default, and the first item in the rsyslog FAQ is "How to separate log files by
host name of sending device".  So I suspect there is no point in keeping this
ancient ticket open.


Note You need to log in before you can comment on or make changes to this bug.